LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XMutationEvent Interface Reference

`import"XMutationEvent.idl";`

Inheritance diagram for XMutationEvent:

## Public Member Functions
com::sun::star::xml::dom::XNode | getRelatedNode ()
string | getPrevValue ()
string | getNewValue ()
string | getAttrName ()
AttrChangeType | getAttrChange ()
void | initMutationEvent ([in] string typeArg, [in] boolean canBubbleArg, [in] boolean cancelableArg, [in] com::sun::star::xml::dom::XNode relatedNodeArg, [in] string prevValueArg, [in] string newValueArg, [in] string attrNameArg, [in] AttrChangeType attrChangeArg)
Public Member Functions inherited from XEvent
string | getType ()
XEventTarget | getTarget ()
XEventTarget | getCurrentTarget ()
PhaseType | getEventPhase ()
boolean | getBubbles ()
boolean | getCancelable ()
com::sun::star::util::Time | getTimeStamp ()
void | stopPropagation ()
void | preventDefault ()
void | initEvent ([in] string eventTypeArg, [in] boolean canBubbleArg, [in] boolean cancelableArg)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ getAttrChange()

AttrChangeType getAttrChange | ( |  | ) |

## ◆ getAttrName()

string getAttrName | ( |  | ) |

## ◆ getNewValue()

string getNewValue | ( |  | ) |

## ◆ getPrevValue()

string getPrevValue | ( |  | ) |

## ◆ getRelatedNode()

com::sun::star::xml::dom::XNode getRelatedNode | ( |  | ) |

## ◆ initMutationEvent()

void initMutationEvent | ( | [in] string | typeArg,
|  | [in] boolean | canBubbleArg,
|  | [in] boolean | cancelableArg,
|  | [in] com::sun::star::xml::dom::XNode | relatedNodeArg,
|  | [in] string | prevValueArg,
|  | [in] string | newValueArg,
|  | [in] string | attrNameArg,
|  | [in] AttrChangeType | attrChangeArg
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/events/XMutationEvent.idl